> ## Documentation Index
> Fetch the complete documentation index at: https://www.cometchat.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

> Retrieves all tools configured for your CometChat app. Use this endpoint to view available tools and actions, or filter by type.  **Filtering:** Use the `type` query parameter to filter by `action` or

# List Tools

For the complete error reference, see [Error Guide](/rest-api/byo-ai-agents-apis/error-codes).


## OpenAPI

````yaml get /ai-agents/tools
openapi: 3.0.0
info:
  title: AI Agents APIs
  description: API reference for CometChat AI Agents service
  version: '1.0'
servers:
  - url: https://{appId}.api-{region}.cometchat.io/v3
    variables:
      appId:
        default: appId
        description: (Required) App ID
      region:
        enum:
          - us
          - eu
          - in
        default: us
        description: Select Region
security: []
tags:
  - name: ai-agent
    description: ''
paths:
  /ai-agents/tools:
    get:
      tags:
        - Tools
      summary: List Tools
      description: >-
        Retrieves all tools configured for your CometChat app. Use this endpoint
        to view available tools and actions, or filter by type.


        **Filtering:** Use the `type` query parameter to filter by `action` or
        `tool`.
      operationId: ToolsController_getAllTools
      parameters:
        - name: type
          required: false
          in: query
          description: Filter tools by type
          schema:
            enum:
              - action
              - tool
            type: string
      responses:
        '200':
          description: List of tools
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    _id:
                      type: string
                      example: myapp_myTool
                    appId:
                      type: string
                      example: my-app-id
                    name:
                      type: string
                      example: myTool
                    type:
                      type: string
                      enum:
                        - action
                        - tool
                      example: action
                    displayName:
                      type: string
                      example: My Tool
                    executionText:
                      type: string
                      example: Running my tool...
                    doNotExecute:
                      type: boolean
                      example: false
                    tool:
                      type: object
                      properties:
                        name:
                          type: string
                          example: myTool
                        description:
                          type: string
                          example: A helpful tool
                        parameters:
                          type: object
                          example:
                            type: object
                            properties: {}
                            required: []
                    createdAt:
                      type: integer
                      format: date-time
                    updatedAt:
                      type: integer
                      format: date-time
              example:
                - _id: myapp_myTool
                  appId: my-app-id
                  name: myTool
                  type: action
                  displayName: My Tool
                  executionText: Running my tool...
                  doNotExecute: false
                  tool:
                    name: myTool
                    description: A helpful tool
                    parameters:
                      type: object
                      properties: {}
                      required: []
                  createdAt: '2025-12-01T00:00:00.000Z'
                  updatedAt: '2025-12-01T00:00:00.000Z'
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      description: API Key (i.e. Rest API Key from the Dashboard).
      name: apikey
      in: header

````